import { Controller } from "@hotwired/stimulus"

export default class extends Controller {
  static targets = ["fullPath"]

  connect() {
    document.addEventListener("click", this.handleClickOutside.bind(this))
  }

  disconnect() {
    document.removeEventListener("click", this.handleClickOutside.bind(this))
  }

  toggleFullPath(event) {
    event.stopPropagation()
    this.fullPathTarget.classList.toggle("hidden")
  }

  handleClickOutside(event) {
    if (!this.element.contains(event.target)) {
      this.fullPathTarget.classList.add("hidden")
    }
  }
}