Feature: Breadcrumb Navigation

  Background:
    Given I am a logged in admin
    And There is a complex directory structure

  Scenario: View project breadcrumb
    When I visit the project root
    Then I should see "P1" in the breadcrumb
    When I visit the first level folder
    Then I should see "P1 > S1" in the breadcrumb
    When I visit the second level folder
    Then I should see "P1 > S1 > S2" in the breadcrumb
    When I visit the third level folder
    Then I should see "P1 > ... > S2 > S3" in the breadcrumb
    When I visit the fourth level folder
    Then I should see "P1 > ... > S3 > S4" in the breadcrumb

Scenario: View documents breadcrumb
    When I visit the first level document
    Then I should see "P1 > S1 > document 1" in the breadcrumb
    When I visit the second level document
    Then I should see "P1 > ... > S2 > document 2" in the breadcrumb
    When I visit the third level document
    Then I should see "P1 > ... > S3 > document 3" in the breadcrumb
    When I visit the fourth level document
    Then I should see "P1 > ... > S4 > document 4" in the breadcrumb

Scenario: View and navigate using full path dropdown
  When I visit the third level folder
  Then I should see "P1 > ... > S2 > S3" in the breadcrumb
  When I click on ...
  Then I should see the full path dropdown
  And the full path should contain "P1 > S1 > S2 > S3"
  When I click on "S1" in the dropdown
  Then I should be on the S1 directory page
  And I should see "P1 > S1" in the breadcrumb